Name:           perl-Bio-Phylo
Version:        0.58
Release:        1%{?dist}
Summary:        Phylogenetic analysis using perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Bio-Phylo/
Source0:        http://www.cpan.org/authors/id/R/RV/RVOSA/Bio-Phylo-%{version}.tar.gz
Patch1:		perl-Bio-Phylo-rec.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(GD)
BuildRequires:  perl(JSON)
# BuildRequires:  perl(Math::CDF)
# BuildRequires:  perl(Math::Random)
# BuildRequires:  perl(PDF::API2)
BuildRequires:  perl(SVG)
# BuildRequires:  perl(SWF::Builder)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(XML::Twig)
#BuildRequires:  perl(XML::XML2JSON)
BuildRequires:	perl(Test::More)
# Requires:       perl(GD)
# Requires:       perl(JSON)
# # Requires:       perl(Math::CDF)
# Requires:       perl(Math::Random)
# # Requires:       perl(PDF::API2)
# Requires:       perl(SVG)
# # Requires:       perl(SWF::Builder)
# Requires:       perl(XML::LibXML)
# Requires:       perl(XML::Twig)
# Requires:       perl(XML::XML2JSON)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is the base class for the Bio::Phylo package for phylogenetic analysis
using object-oriented perl5. In this file, methods are defined that are
performed by other objects in the Bio::Phylo release that inherit from this
base class (which you normally wouldn't use directly).

%prep
%setup -q -n Bio-Phylo-%{version}
%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING LICENSE META.json README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*
# uses non-free Math::CDF
%exclude %{perl_vendorlib}/Bio/Phylo/EvolutionaryModels.pm

%changelog
* Thu Apr  9 2015 Dave Love <d.love@liverpool.ac.uk> - 0.58-1
- Initial packaging, based on cpanspec version
